#ifndef TARIFF_EDITOR_H_INCLUDED
#define TARIFF_EDITOR_H_INCLUDED

#include <QJsonDocument>
#include <QString>
#include <QJsonObject>


class TariffEditor {
    QJsonDocument m_doc;

public:
    explicit TariffEditor();

    QJsonObject create(QString const &key);
    QJsonDocument &document() { return m_doc; }
    QJsonDocument const &document() const { return m_doc; }
    QJsonDocument &writeToDocument(QString const &key, QString const &value);
    QJsonDocument &writeToDocument(QJsonObject const &value);
};

#endif // TARIFF_EDITOR_H_INCLUDED
